> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update web agent UI settings



## OpenAPI

````yaml post /web-agent/{id}/web-settings
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /web-agent/{id}/web-settings:
    post:
      tags:
        - Web Agent
      summary: Create or update web agent UI settings
      operationId: WebAgentController_upsertWebAgentSettings
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the web agent
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebAgentSettingsDto'
      responses:
        '200':
          description: The web agent UI settings have been successfully created or updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Web agent settings created/updated successfully
                  data:
                    type: object
        '400':
          description: Bad request - Invalid settings data
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  schemas:
    WebAgentSettingsDto:
      type: object
      properties:
        button_text:
          type: string
        button_background_color:
          type: string
        text_color:
          type: string
        font_size:
          type: string
        button_hover_background_color:
          type: string
        border_radius:
          type: string
        show_avatar:
          type: boolean
          default: false
        avatar_image_url:
          type: string
        icon_color:
          type: string
        container_background_color:
          type: string
        base_url_for_embed:
          type: string
        generated_iframe_url:
          type: string
        iframe_embed_code:
          type: string
        mobile_logo_url:
          type: string
        mobile_brand_name:
          type: string
        mobile_brand_tagline:
          type: string
        mobile_logo_position:
          type: string
        mobile_brand_name_position:
          type: string
        mobile_background_color:
          type: string
        mobile_gradient_start_color:
          type: string
        mobile_gradient_end_color:
          type: string
        mobile_text_color:
          type: string
        mobile_secondary_text_color:
          type: string
        mobile_answer_button_color:
          type: string
        mobile_end_button_color:
          type: string
        mobile_slide_bar_color:
          type: string
        mobile_slide_bar_opacity:
          type: string
        mobile_remember_me_icon:
          type: string
        mobile_message_icon:
          type: string
        mobile_phone_icon:
          type: string
        mobile_end_call_icon:
          type: string
        mobile_remind_me_text:
          type: string
        mobile_message_text:
          type: string
        mobile_slide_to_answer_text:
          type: string
        mobile_base_url_for_embed:
          type: string
        mobile_generated_iframe_url:
          type: string
        mobile_iframe_embed_code:
          type: string
        orb_button_border_radius:
          type: string
        orb_button_size:
          type: string
        orb_blink_color:
          type: string
        orb_icon_color:
          type: string
        orb_icon_size:
          type: string
        orb_button_bg_color:
          type: string
        orb_base_url:
          type: string
        orb_iframe_url:
          type: string
        orb_iframe_embed_code:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````